org.apache.flume.conf.channel

## Enum ChannelType

- java.lang.Object
- - java.lang.Enum<ChannelType>
  - - org.apache.flume.conf.channel.ChannelType

- All Implemented Interfaces:
    Serializable, Comparable<ChannelType>

      public enum ChannelType
      extends Enum<ChannelType>

  Enumeration of built in channel types available in the system.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILE` File channel
    `JDBC` JDBC channel provided by org.apache.flume.channel.jdbc.JdbcChannel
    `MEMORY` Memory channel
    `OTHER` Place holder for custom channels not part of this enumeration.
    `SPILLABLEMEMORY` Spillable Memory channel

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getChannelClassName()`
    `static ChannelType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ChannelType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OTHER

          public static final ChannelType OTHER

      Place holder for custom channels not part of this enumeration.

    - #### FILE

          public static final ChannelType FILE

      File channel
      See Also:
        `FileChannel`

    - #### MEMORY

          public static final ChannelType MEMORY

      Memory channel
      See Also:
        `MemoryChannel`

    - #### JDBC

          public static final ChannelType JDBC

      JDBC channel provided by org.apache.flume.channel.jdbc.JdbcChannel

    - #### SPILLABLEMEMORY

          public static final ChannelType SPILLABLEMEMORY

      Spillable Memory channel
      See Also:
        `SpillableMemoryChannel`

  - ### Method Detail

    - #### values

          public static ChannelType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChannelType c : ChannelType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChannelType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getChannelClassName

          public String getChannelClassName()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.